Bug 1175027 - [abrt] libreoffice-core: killed by SIGSEGV on shutdown in SwConnectionDisposedListener_Impl
Summary: [abrt] libreoffice-core: killed by SIGSEGV on shutdown in SwConnectionDispose...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Stahl
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:60cfb5ca4e7a912a6e39b882442...
: 1212724 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-17 02:29 UTC by Claudiomar Rodrigues
Modified: 2015-05-06 12:13 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-19 12:11:18 UTC


Attachments (Terms of Use)
File: backtrace (89.49 KB, text/plain)
2014-12-17 02:29 UTC, Claudiomar Rodrigues
no flags Details
File: cgroup (180 bytes, text/plain)
2014-12-17 02:29 UTC, Claudiomar Rodrigues
no flags Details
File: core_backtrace (25.10 KB, text/plain)
2014-12-17 02:29 UTC, Claudiomar Rodrigues
no flags Details
File: dso_list (36.97 KB, text/plain)
2014-12-17 02:29 UTC, Claudiomar Rodrigues
no flags Details
File: environ (2.41 KB, text/plain)
2014-12-17 02:29 UTC, Claudiomar Rodrigues
no flags Details
File: exploitable (107 bytes, text/plain)
2014-12-17 02:29 UTC, Claudiomar Rodrigues
no flags Details
File: limits (1.29 KB, text/plain)
2014-12-17 02:29 UTC, Claudiomar Rodrigues
no flags Details
File: maps (179.49 KB, text/plain)
2014-12-17 02:29 UTC, Claudiomar Rodrigues
no flags Details
File: open_fds (1.04 KB, text/plain)
2014-12-17 02:29 UTC, Claudiomar Rodrigues
no flags Details
File: proc_pid_status (948 bytes, text/plain)
2014-12-17 02:29 UTC, Claudiomar Rodrigues
no flags Details
File: var_log_messages (389 bytes, text/plain)
2014-12-17 02:29 UTC, Claudiomar Rodrigues
no flags Details

Description Claudiomar Rodrigues 2014-12-17 02:29:27 UTC
Version-Release number of selected component:
libreoffice-core-4.2.7.2-11.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc '/run/media/claudiomar/CLAUDIOMARK/Boletim para Imprimir - Restante/2\xc2\xba Turno/Dulce  OK/2132A - DULCE.xls' --splash-pipe=5
crash_function: iquery
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.17.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 iquery at /usr/src/debug/libreoffice-4.2.7.2/include/com/sun/star/uno/Reference.hxx:43
 #2 Reference at /usr/src/debug/libreoffice-4.2.7.2/include/com/sun/star/uno/Reference.hxx:164
 #3 operator== at /usr/src/debug/libreoffice-4.2.7.2/include/com/sun/star/uno/Reference.hxx:369
 #5 SwConnectionDisposedListener_Impl::disposing at /usr/src/debug/libreoffice-4.2.7.2/sw/source/ui/dbui/dbmgr.cxx:2965
 #6 cppu::OInterfaceContainerHelper::disposeAndClear at /usr/src/debug/libreoffice-4.2.7.2/cppuhelper/source/interfacecontainer.cxx:316
 #7 cppu::OMultiTypeInterfaceContainerHelper::disposeAndClear at /usr/src/debug/libreoffice-4.2.7.2/cppuhelper/source/interfacecontainer.cxx:491
 #8 cppu::WeakComponentImplHelperBase::dispose at /usr/src/debug/libreoffice-4.2.7.2/cppuhelper/source/implbase.cxx:270
 #9 dbaccess::ODatabaseModelImpl::clearConnections at /usr/src/debug/libreoffice-4.2.7.2/dbaccess/source/core/dataaccess/ModelImpl.cxx:671
 #10 dbaccess::ODatabaseModelImpl::dispose at /usr/src/debug/libreoffice-4.2.7.2/dbaccess/source/core/dataaccess/ModelImpl.cxx:711
 #11 dbaccess::ODatabaseContext::disposing at /usr/src/debug/libreoffice-4.2.7.2/dbaccess/source/core/dataaccess/databasecontext.cxx:285

Comment 1 Claudiomar Rodrigues 2014-12-17 02:29:31 UTC
Created attachment 969830 [details]
File: backtrace

Comment 2 Claudiomar Rodrigues 2014-12-17 02:29:32 UTC
Created attachment 969831 [details]
File: cgroup

Comment 3 Claudiomar Rodrigues 2014-12-17 02:29:34 UTC
Created attachment 969832 [details]
File: core_backtrace

Comment 4 Claudiomar Rodrigues 2014-12-17 02:29:36 UTC
Created attachment 969833 [details]
File: dso_list

Comment 5 Claudiomar Rodrigues 2014-12-17 02:29:37 UTC
Created attachment 969834 [details]
File: environ

Comment 6 Claudiomar Rodrigues 2014-12-17 02:29:38 UTC
Created attachment 969835 [details]
File: exploitable

Comment 7 Claudiomar Rodrigues 2014-12-17 02:29:39 UTC
Created attachment 969836 [details]
File: limits

Comment 8 Claudiomar Rodrigues 2014-12-17 02:29:43 UTC
Created attachment 969837 [details]
File: maps

Comment 9 Claudiomar Rodrigues 2014-12-17 02:29:44 UTC
Created attachment 969838 [details]
File: open_fds

Comment 10 Claudiomar Rodrigues 2014-12-17 02:29:45 UTC
Created attachment 969839 [details]
File: proc_pid_status

Comment 11 Claudiomar Rodrigues 2014-12-17 02:29:47 UTC
Created attachment 969840 [details]
File: var_log_messages

Comment 12 Caolan McNamara 2014-12-18 15:37:06 UTC
Is this reproducible in any way ? Sort of looks like there might be some data source associated with the document ?

Comment 13 Michael Stahl 2015-01-15 16:17:26 UTC
there's an obvious problem with the life cycle of
SwConnectionDisposedListener_Impl which will cause
such a crash if the database stuff lives longer than
the writer document.

should be fixed on upstream master by commit 4f747afae591f244164df25d96a83f417e6c0698

Comment 14 Michael Stahl 2015-01-19 12:11:18 UTC
fixed on upstream libreoffice-4-4 branch for 4.4.1 release: commit 
be13badc357b5639b8f76198dc9ff33fa6dabe88

fixed on upstream libreoffice-4-3 branch for 4.3.7 release: commit 
e56105cfe780905864b895d337a4a848afe1fa26

since this crash happens only on exit, it's not that important anyway so i'll not add the patch to Fedora packages, they can wait for the upstream release.

Comment 15 Michael Stahl 2015-05-06 12:13:46 UTC
*** Bug 1212724 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.